summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2018-11-30 14:49:39 -0500
committerIan Stakenvicius <axs@gentoo.org>2018-11-30 15:09:04 -0500
commit60d30853f6b82bf9ef5f276bb7ea8cc0c1ab8baa (patch)
tree596235c55a69d1c2b5fc1fcf72e2816885e26190
parentwww-client/firefox: synchronize with Gentoo repository (diff)
downloadmozilla-60d30853f6b82bf9ef5f276bb7ea8cc0c1ab8baa.tar.gz
mozilla-60d30853f6b82bf9ef5f276bb7ea8cc0c1ab8baa.tar.bz2
mozilla-60d30853f6b82bf9ef5f276bb7ea8cc0c1ab8baa.zip
thunderbird: bump to 60.3.2
This bump re-enables Global Search when system-sqlite is used. Bug: https://bugs.gentoo.org/583156 Signed-off-by: Ian Stakenvicius <axs@gentoo.org>
-rw-r--r--mail-client/thunderbird/Manifest54
-rw-r--r--mail-client/thunderbird/files/sqlite3-fts3-tokenizer.patch87
-rw-r--r--mail-client/thunderbird/thunderbird-60.3.2.ebuild562
3 files changed, 703 insertions, 0 deletions
diff --git a/mail-client/thunderbird/Manifest b/mail-client/thunderbird/Manifest
index 4f4bb02..be9e88f 100644
--- a/mail-client/thunderbird/Manifest
+++ b/mail-client/thunderbird/Manifest
@@ -110,3 +110,57 @@ DIST thunderbird-60.3.0-vi.xpi 638421 BLAKE2B aad9f330e7f95ba7204775710162f40418
DIST thunderbird-60.3.0-zh-CN.xpi 622465 BLAKE2B c374b6a7d8e6a10f6340e814f62843160991db3a8e820c0acc9294d5e3416cf6025a9c472e21802095c7a88408449f111a9d0d3d95efee33b2903132847daa82 SHA512 7da02ae8830126da7646c4379ecac20123a7f9f2f9c0e72581800a5673332c8664eda1d8b2bf906fa452bee8a10413191272caf17ac6d07a2f1fd8bb5502ff3a
DIST thunderbird-60.3.0-zh-TW.xpi 626188 BLAKE2B 462a59258946095a905ea455267cc50893b8dd49d04d0adb02060945a660c80dea2bba5d9de5a9f4381b0c198211711f821c665fd33d0bb2b198afc2e7dc38af SHA512 337aa9e5dcb9aef0cdb44d9d24c9eafb89b2e3bd13881b445ab5a49e4adfc47136b7180009998fbc61a7e8140683fa0bff571bf6970f944d841e6fca1aa1bbaf
DIST thunderbird-60.3.0.source.tar.xz 285211708 BLAKE2B cb17d27ac97267507353d1a0cb501a9f9a44a4bad6389dbc2ed95f3f23626540075325d6787c992e37bbab7096d2553618a7e5888614ebe1218d7088b0d78127 SHA512 6cc390129dd2ce30c4685748bc5cdbf07c1326bf1ba4727d34b105f800ee3d0c7344a1bda3b8f6a666f635eb6d2fba7da5afb1222aac05a536d2dd77afb3a8d3
+DIST thunderbird-60.3.2-ar.xpi 627181 BLAKE2B 33bbdb397a8517800ca0bef3e6a7d003b6f035316f1552454cafee30e8603de06d1b7e6dc56f3a6e8345d5d12939bcaecfe5f2b9c4ce1f4ad78f725e1bbd3a8e SHA512 71d4b681bf5ae393ec8e3cfea5c53b53000a525cd6a5ddd65f17399437b159c33c887c257e2daa918de966e1182810be5d62604b5761a4fe6bc5e661f9292186
+DIST thunderbird-60.3.2-ast.xpi 560867 BLAKE2B b6cd646959534a555833810a6ca032e0c9b06acb764607295688f0747fc09c716b5f4e6b1880712f31cbefffa14cb67e573ef787a5d6cf63d58dc299b3f92071 SHA512 7be8efce56c23687f705c00a3327c3eb3b0c3dfc86d88be3f192e6e7ebc1e77fb44d104c19948eb8ea9a56972416d5d8fc64dcb8539e656cd05794a183087338
+DIST thunderbird-60.3.2-be.xpi 659079 BLAKE2B 8bfa64f9a7d227f15dbbcc397c15236be0d4aba4ee6b65e3c96508e5cd1b53009600f17a9b35dee83859cfb0b69bcb22303278fd229709b270cea05c8ebdf21c SHA512 12b4b10042e065583c9022c095babc669a519fd99c1f406e5bb8db9af8e08e44cfe4d2ee8a22e7c98cc25e9b99d157767fa79cd4996e42efea84b7a98f0b7457
+DIST thunderbird-60.3.2-bg.xpi 665510 BLAKE2B 03871e6e102f407e5b1e99562fb590b70db07c6cd59618b376744c68fcdcad20fa34694e295381a2352977f8ba2182a994f5ec798420165700c37d062c999075 SHA512 091f6f816f5cdc067d030b79f66b7aa282db11146d19074df7a9533ad1dea8331e2c810313286e5efc919c9e96209a3633539f6d807820b62923fa0b3e4c423d
+DIST thunderbird-60.3.2-br.xpi 581592 BLAKE2B 23f1cf070abf7b9f184de5210f36163d5636d37ede17165a9abaa9e5abbe1681587b685e92a1bfd2a54ce009c2d8e561b2918210dfec3f49434d5027eb20e6a4 SHA512 5d8d494d1e09c03f626d45e5ed725daa487186661f1343f3fce5d4be2ae204db7eb0989cd135b504275671a9c74ea26ba25e0ccabf4b4018bb6dc4f00cbbc0e2
+DIST thunderbird-60.3.2-ca.xpi 591970 BLAKE2B 9962f5a4ade9d22d5acaf680268f74f6593f1bafb1f5a40b53c6c4c2c043a049da8cfa3ff2aea60bececf91e9ae506dbced2f5e2cc7644719321121c4d5a69ea SHA512 e767cb6ad8ec23762a6206678d2b12608a9fd5e0a0da8e490cd2d85787d5239db5eb961b99405cdff1f5f9c41e7ac330a6f34fd59b14b8e6c8edfa1a718dbbce
+DIST thunderbird-60.3.2-cs.xpi 611201 BLAKE2B cbaf0fe9fbc598b38de7df01a55b566489c3b93b476c2a33c73ffb8e47132f8334f954a4c17fc3129611998c2c00e01a903f0fdb95b67b5e0a3446e68b0d3165 SHA512 5087d275f2eb5b400a2c9356ec5fc0b322a599a64bbe3ccdff4c8da44bfa2a4b34667c991e1c9d77c8fdd2e3f3d028b271f5b6d7d07d09415d448a591e4a2cd7
+DIST thunderbird-60.3.2-cy.xpi 582233 BLAKE2B 39a0d99babce5e3960396a06c64485f18c27473048cf88d826a9d19eb8f025c233d72cce3fe00e0356d594e22b34f462d642c1ff879c8426be1cd4067dbe3059 SHA512 a17abfb8dcc03efbe0f69b62ce017ea33fc775fe93d44779ff9e46df41c3370276ee019a43798c96ceda07a870553345667d770fb1fb1a73337624959f16580b
+DIST thunderbird-60.3.2-da.xpi 570805 BLAKE2B 5fa0866086175ee2b7ba8b8c20a9f8e877a7f51b18fed263722298b26e291327b98ea3c1e68973a8dff9c5b884f02e96b6f2cc2676e273dbc57f7ffeec622c78 SHA512 75e19b378875ac281c1397fac6e96a4f2d581331fa0da141eb2da09b360a2dd4a7128f94398a95aed5321d7dfc58fa58c0151a3901f4d91ec699d3aae433e287
+DIST thunderbird-60.3.2-de.xpi 582573 BLAKE2B 51814356178945122e31e993d63c234210f4ceea8125ff7074981885f823d0cb03de81b5a39cf2fb07b1841ad2b143df6e842d513cecbe504abf16fe4bbab8b3 SHA512 2c32987690ec71d33e910ec248075fe1f3c32a4b372133e53d29753a7e1aa54b27fbb1ca266c05c613e6ff28de1ddee2e8572ec58916ce45a0b9ad8f5e1e5320
+DIST thunderbird-60.3.2-el.xpi 691053 BLAKE2B 35b448a9c68a6ab8d707ac865be1c0b14e656c74b838d96da82794de370a713f9df0818d5876f3506957b72c80702af168f8a5880eb3be5a4bbb3cb465fa625d SHA512 f7b625321662ef801f1a9038f5606b5ddd83725a6479b2abe87bd8fd648af307323fca0d1eb46d4cbd4fac961e2143138de4f364b6f459150b9410c92bbe3db0
+DIST thunderbird-60.3.2-en-GB.xpi 550354 BLAKE2B c68126bd22c9c5511c1123888b90e0ad06db1721c370d969033a0a208ae76b2eba7b01cd671a1257f4dbb4cabf737a5da5d5d067cfc425656cfa96928e8d98d1 SHA512 f366364bab49eb4f0871ddcc2cedf9a7dfef9330cc795ed95422cfe7903322e8f3261c7764c009ea68badb555a9fa37979308eee707df783dd4fd1c9f91cfb8c
+DIST thunderbird-60.3.2-es-AR.xpi 595048 BLAKE2B 32fbae2d1e8052f9060a6b32e1bce639e269024a38385704044eed2daef5fa0af3ee17892b3cd8f8d1f439bbe4d051c0c067750354e42dd44aa557aedfdeb72d SHA512 84d62b60f0800869f89e2724b29998194f6b081d56b1e5eed49a895e8514c35439763d59d94914abd7acf80d97cb2b17658bac923dd1a710395310e30cb450f2
+DIST thunderbird-60.3.2-es-ES.xpi 492211 BLAKE2B cfb8ebbd8e769b2a866b38589c1dc67b96a0d08e7b95b112784eb35c5e52f2ffaf2a45b813549a315dfbbc0718336ac1ef886229704602005da9a078f66c638c SHA512 05bdd55dba40fe3fe64dbc6109454c3984ad4803b310537ed0c730a238fe05f897c062a8a829f22c7272ee1bfc2dde6b2557baaa03fd68384cd670ca548114ff
+DIST thunderbird-60.3.2-et.xpi 570866 BLAKE2B 932d5d32bb99ef71a3fd6c485ba2ec045a356c12e916e92bea9b44ca7ac1ae7340576cf70120beceaa6f2ace9325e42f7cfb2ed0b7fc36f91c0dbb22cdf279aa SHA512 8e47d81b46dbcc1a26ffff8c845f269d3dadc0b4ace8c775d79d63f663f1a767d0640e4ef7caf505c6b163bcb080e514311bbabf128efc2e12e4cf587799233a
+DIST thunderbird-60.3.2-eu.xpi 577579 BLAKE2B da1fa63d4130f8c115df45202df91f6b40a1a60cf7f15580494bc3412c66a39e2b439b1146047917a9738a723db70ea88c06b7d080982dc63876062f36bcded0 SHA512 2151b0d2dcf932bbdfb9ea25cb88e2666c4b3ee1f52152f33f5097b505a28349807d7e5bf8b1d627bf43c5de5874f0ab18e934a4b74c2d92602be6fe57d5c999
+DIST thunderbird-60.3.2-fi.xpi 575754 BLAKE2B aea52e5dde6cdeb069cbc4088a50f4fe2411b4cace1a280d8629ce60d5c556cffe554f961eeb4d2dd6b686deb9ce35b0be2b33cfacb7717243f63c28cf0d6078 SHA512 808f3269b9e4ce12405cf97b778d7e24a82e22c0a32aaf15e0431927d3ed721aa935909b1e17311d9921762b5a0a78f4aa3c8a738dfc9efebebb0df6703145d9
+DIST thunderbird-60.3.2-fr.xpi 608465 BLAKE2B f64eb29f1cffe1912dadb5bfdf5b1d3e01a837bb24c1b1355254cd85388d0122583d9f67ff4ac1f8c60a1fb738c2dafdea389d5d10686114c49e4432d69185b5 SHA512 8b1defb3fc6d96b1dcaf5f838306f1a1dc4cc4a88b79e5b6e2cd1402e52b03167078c915904f1231f0fa50eb4c18e6d1c70f7949a98e5684228aeed6a8df89dd
+DIST thunderbird-60.3.2-fy-NL.xpi 590032 BLAKE2B 7e1ec2aef319beb199b5e81b7a0d48d9dacaa8e1ae3b4589086be7e0e4abf1e967f5972fd25f671d844e230d1cb0f1358fe1a2e713490603b9c60c26bb5d3f65 SHA512 9f1224dfc7e9b25d27be56379ed66dee6a70c121a62581834ffa706990c2a224aa47cb712d29e7c5c348a7f8faa8a35428df775bcd47e84b3d9b7e814faf8d98
+DIST thunderbird-60.3.2-ga-IE.xpi 603506 BLAKE2B f9bb9ef62f7e686deeac3ea6b68e45e2c3c9439ce1eaee871d37da1eb9eb0c00299fd476279df62aa87747e696a5b7977a3e6b2a26078679cb9ae58f71720b14 SHA512 d28380844581d9db813eb9269cd0efc00c0aee13adb3926c3d6c278abc78c0dd8e647bec8dbc32ad810b2d5dbd75d680a3365e16a883b5b8f2789f7d19a50365
+DIST thunderbird-60.3.2-gd.xpi 599261 BLAKE2B 338ab8857e2a918fa7cf20b406ebe44ee65fc274b76a43ffe6ec001c8c2ece048f6e47f659dc3d2ffe4dc74cdb5429dabb47c2cddfb93521fd4ae43cdd148603 SHA512 69376abe26158a6c8ffcfd3bd8a00e5dacaebee7d44f9605d174da5bb70663a326658c48a02e136612d3a66ebce3a98279625e8f1bd3fa204996a97ffbad97d0
+DIST thunderbird-60.3.2-gl.xpi 576547 BLAKE2B 321107befde7daa5d73cab8fb8c3aae485d139f8f96608cace4982a67ca8776449bc15dfd9b9dd49008cdaf78583c88a876ec2f21bd34b750eed331b0e81d015 SHA512 109d4933e8f4ffb97b797bd7374d72930f3adf86144d43ac32f824a2282275afe735b4865ff1c8dd0af7214dbab99073d16fc761668f97eab32ccb15039cf3d0
+DIST thunderbird-60.3.2-he.xpi 618365 BLAKE2B 7a747490a734a4db62c530a2d9b0b30e0524315b55004558934184c0d6cc8249dd340885de3a982b42266f5532b8c866287a15e1a9d0b25c5e16d1e87f330d72 SHA512 494f08a2d92aa1a70db2e01134294d3205ed383762b3b714c84ab3f3fc3fc6c4a01e4d0fcd847e5fa3f4ca6dcca0015f0b8846d66cb03b3f82b1a7890446398c
+DIST thunderbird-60.3.2-hr.xpi 583460 BLAKE2B 374fab664781c2529b37d0464043e73c99200aa641bcfd5fb1204bb5734ab0f91435efdacd1c7ed6583782a2d5f2914c7c0722533829332f4c4109580ccd0f01 SHA512 b5b1881485807954c5bbece6abe199e02fb1a1ac088195842b1a413f5fa8cdc5105887027f7a066707238592761a639a4a3f7dcb120402008e9a8db99d2b8823
+DIST thunderbird-60.3.2-hsb.xpi 611322 BLAKE2B 9dc5f87844946397885bf718a8387410b3bbced11cca8fb92953bf1ca1b254103d44d5c4289cb532566e029d426a5b6d56de956b0019a623b03920475c28d946 SHA512 e869284a69b0d0e2aed193eab9c323b52d5af1d7473e632f656df250c6ab34603a214227ada30fd225987a089780d157562c7e612ca77378388ee0b1a5695137
+DIST thunderbird-60.3.2-hu.xpi 615346 BLAKE2B b67fea74958fee9c02354330acaf5e494045f280eda30f2a8db7a3e81116778f16bf1e5712fdccb12b983acc597cfbc2c0e0ebe7d998a3bb910c5877a8497263 SHA512 fac2e86a8676f7e7c420cf953c7dcddca864cb52f4671b8b8be3590f68d698705efa8e3dca483d96608be1f9d48fc241b3098329d9bb7d73f9878517d2be05cb
+DIST thunderbird-60.3.2-hy-AM.xpi 649713 BLAKE2B 4e39c17da54babd57bd05c90cddd20243c0b90b25f8a21d99233e60ec29d254631311cc78a4c43299ae8fb320705b60f788d6ea567444b278b998d81a23dd43e SHA512 04f475dfa715a1355feedd55dc100e9fe4d620f6190a8b0636037202814ab2c6788ed6bb7a5435aa346cb1f137f227589074d1254a8ae425eb4c0da95436a12e
+DIST thunderbird-60.3.2-id.xpi 568859 BLAKE2B a7a0dd5b69c6b72c74aef74b3ed05627e1541660f666a4c9f4ed3ea6a8a972a0957d6a346ef39098fb3c09dbccec2632fd60e5d083fc749b4bfcfda1476c1c7f SHA512 a3a72226db0ac53d756c4a69b95d277a53328fa7ec70d445c63c915581344e881ba12278a5bb1d94d8eb04284eec3e1c45de1b96c321b66d1c3897794594721b
+DIST thunderbird-60.3.2-is.xpi 579047 BLAKE2B 4d8514d3ec2239cb647af25ddd3d8d436be0830b1886e6c2d7e18602ce7735b6d3e541b0c1c877477f9dedd9bb4ccd41705d65497394d2a99764570b9b6c0354 SHA512 5343c4f35182fd39eae9241c11006085da32a794bc4f489c2ce977186b7370c77cab683ee55b47372c50675a45364b11221540be820f126cfaeb873efd836227
+DIST thunderbird-60.3.2-it.xpi 477500 BLAKE2B 55cd1444941187d99ba9d3d68afa49d33e7a0c10c0ae4ae472a1fb33f3ba863d7166b1c94422ea451c18ba7c80cda94d6f1821d41a527fea07727e5815dd5d87 SHA512 24829d53935bd2ead5091323eba01d523ee685b32d5d58d8cdcedaa402d271e0e0adaa5d50baa450810a02b176bfa476b741d6f2a8d8d6f448b7163f4d234357
+DIST thunderbird-60.3.2-ja.xpi 653342 BLAKE2B 7e54e5bc143d3b594a2362d555b239e139b288602c682eb08b494771a448becaee2768a6bb738d40373b317af4384fd61bae5322aba8224434dd4ad3efc7e5e8 SHA512 287c64fa5ff3a04270cbcf7253398a0c0dcbc97cc5f8e3bd6c7e3b2748272e5241df859d91bc53e980126975e3619cab734c238662e8b97bd2a2c3ac726c66b7
+DIST thunderbird-60.3.2-ko.xpi 619730 BLAKE2B a2de2536cd4c691e5e2fc9653436a521d11628f81b5e0664130c7540537e2d06a636b947146e9ef06840244d929350ff60b23fbb9cb0705050c00a3baa9e7f49 SHA512 8468a69bef6b1033d31757271f1e1dfb2260a4a012d0c078271fdcc5aea0d298147ab0ba3119b918e20b541c90697b7631e02ad041cfb6973f2fbfd8fdfdd549
+DIST thunderbird-60.3.2-lt.xpi 605440 BLAKE2B 059c5807a879daad0f507f985d563ac463597f44bf7d5ec2b5e1fa0a88c19efec96a98f7e125897997de9d7b8ff855de504ce19e6f8910c054d48a4f5258d353 SHA512 509fd6763fee0373793053c986cd5e0512f73e3eeae75825448dcf24edae6dce6b2c98744aa72e5ce5259a21c471d684d4e3c253d3a723b9fd895e7e59e7f8a7
+DIST thunderbird-60.3.2-nb-NO.xpi 578234 BLAKE2B 5f6614dfd85897f121abd25d5241a6efb4e1714bd303f1afdc1fcd781a473354c259b2d3676d1f7a6c96456029d6d8b2c5a34ab3902db76e3db38fc6a7b26458 SHA512 d0d6b70b3a770c55479392b1e15704bec671d4513a99cb1f5675186dd30e94915b022d9788fd30ce7ce3cc95b4e51df2820b410db09d85cd72f0bc14705c1342
+DIST thunderbird-60.3.2-nl.xpi 583913 BLAKE2B 9e05f9a44147d8c6b8669f5869671ece7bb63f1ddd7bd2f20c09e631a171b18fbabf62c036a9480517fdbd17df77e614c337ddf9f55ae28b732fb07d003272a9 SHA512 0955d6040dd47c90da31f2254d3a9ebece74269c9fa8bc762672f7a8d4f5a6f188161aaa72c27dd648e49237d5aa48542c83c94e03cddc05e2fb866d2ed1bf93
+DIST thunderbird-60.3.2-nn-NO.xpi 577653 BLAKE2B e5026e11d0ae129fa70afe405cb720e0757ce62900ee5000fef6bf89ef82f9748053a699e3183b75a74f0429c53d7ca00a10ec79016a17c8495fc6733e321004 SHA512 e7f9a01f47eb437da95245c099f8c555d22d32f46396b70e00146fce3742a085191b2b5d0b1961524c6d1014af1b764387e66a5ff9f06c1a9b3b713003b49318
+DIST thunderbird-60.3.2-pl.xpi 480724 BLAKE2B e12df203ee44fbd63965c4ef8f809ff7c6d4668e60cc0baa106abb55a81d311dc81085a93781175f005088997dfdd2e61eeda303635e2bfca3970566226c9d81 SHA512 9399f43327d9c145569ac6d7afd67cb52b155e8c4071cfe880c818d2e71ea741e080ac6e26f94f274f9c4e20c5582c68b3f7f79d5f614801f8e3c399846f96d3
+DIST thunderbird-60.3.2-pt-BR.xpi 585017 BLAKE2B 966db5b4f55af4c253c4ce4a64f6f8063341e3fa426e593d3e9c2fcc942b0c95f8e0f99bde828d4e1f286abd935d6640215166ab0e0d8a5af18a2ef428a7f895 SHA512 f4bce0452bc896b7c2387b7478c8e8df850261f169c45fe711e61284eabc3bded25de2137afaa1a10e55f4370ce2d458650695e702a8170852d101428000c562
+DIST thunderbird-60.3.2-pt-PT.xpi 593185 BLAKE2B 152689d71b3122502c5f0f004884dc80b45827a04c96eceec40f8b788499ce632a4b854e403c4abfeffc5cf57ba500c833987fdd7d24649547fa9dad6a3d1b7a SHA512 12e8ec6cebd7e50fffb793212fba7c839240ae50416c0bdafc3124f4645bc80a5c37c54fddea8ca61058388bd319d1cb7618d7cbedc9652e7a1f24b56f3e3628
+DIST thunderbird-60.3.2-rm.xpi 578384 BLAKE2B ef3b6a1a0208c5b665cfeeb8e74f639706618c8b10bd930ab5b82de1ed4a04146427144a033a9616611b3d0794315b334aeedb99e04fb68422e4c0a892f72e0d SHA512 1a0c2e37964bdeeed511e93125f51c8604e9efb69ea32e915b9d9689f912ab2eef91ca1e9d48586afe0e51e806685001c4102f59d4405c60208c3700b5a74f49
+DIST thunderbird-60.3.2-ro.xpi 584308 BLAKE2B bf15255845ff38d0cbf572f54967b6988e9abdbda9cb0958983439550c05d9e8a1e8fdd8f459b4f907ce9c4013d65e7a8aa279d8236e5e043210980e6d0fa8d6 SHA512 8fe4f390959c313bf334a6066c31ae7fb6327e53e4a9ce45f3729cf94e222d157174244fe2d8a0c9ba1846219cab81edcc6cb9e24b426f88f078c57582163afa
+DIST thunderbird-60.3.2-ru.xpi 694704 BLAKE2B d089eac2dbf481e69d4d6198114db2d623ce9258b6935c7e4ee9e1f4f7d6ae901db59831c223643d2e92ebd40d4a918c98f57078217d4929ba90d829e73123ca SHA512 fab24f877a3a175b7bdb999c72c541b1af75744691f7768083a76f0129b0085e7ec5939b291a86131b78191fa8a90b4e357b62e074dd30299bd045ff634e827c
+DIST thunderbird-60.3.2-si.xpi 643790 BLAKE2B f8c900a8becc702a9898c838046bceaa454166e12c98df6c9868048a2c996ae1d00412e2d2a72b187dfad71f768e36654cd5a263c5900de420b451dfd25c830a SHA512 8eff3ed4267d259f59b68d021835061439b2bf4477566c90827b230fb4f7c93c8357c9c95f8977f29ceecf5ae177674508c4551f02716c44e3475440855eee28
+DIST thunderbird-60.3.2-sk.xpi 612216 BLAKE2B 8503222fb34d6c3624df83137e8a5e5a9039603624470725042dbeab86fd5aa527ff9cc3a9d03e581b3e055146105cdbfb4277c9a28f2f39da3814494572c857 SHA512 8ebe8b2df53a35330fb26ce2dc48eb69742e9eb79964804b3801d9fdeb3512263213c6bb34d523f59ff509c14b6a2e4ccd27f02efb504935d461c118a0c87707
+DIST thunderbird-60.3.2-sl.xpi 589947 BLAKE2B 1c6dc2d16d88e2c04f5fcdcec74bccd6053735592346e4993635a0080ce3b58cd7c85ddffd0156dcc68f6a5ee0d373c25ff1c8c1eadd63eca5fa991475f5e36a SHA512 8f633efcb9a426f94b0ccafae17c927883e6578f612f5d771a84a7ebbbbfc150d22ff0994d7a7c35af92b41a70d4320d38ceffd98e13c64e4eaa1d042667f981
+DIST thunderbird-60.3.2-sq.xpi 593094 BLAKE2B a30b1b3fc035c70eeed5b6ca2c0eaa2698794ca2ec94cc867758db6408af7c0e63155a41fa17b6f8459a65a3c8649426ad95802c2d6f63574344d048e6e90641 SHA512 7d5adc7de3bb84291271cf2b051f79827866c5c8f58960c1693a9fecbf7584eb0f7f79486285abd8525fe61627e437de1b0e928672dac93662bde038480c9bed
+DIST thunderbird-60.3.2-sr.xpi 637719 BLAKE2B 5582b65c0b73abe19a5db73c6c92598d62cad23b19274799534d3f06537409dac20c7de24a53fef7efc910dedc670bbad7ff418d6a124721dba751da72e84527 SHA512 2e88a38422543871e642322eda8f180df798a18bf39c656737a24775fd23f3e5532fa461c0a791dc4d7f7ad7b9b010a993257eaffacc6b84b4ffeaa291838b76
+DIST thunderbird-60.3.2-sv-SE.xpi 594078 BLAKE2B 2738f23cf15cd11180c2e92076aa275b657578b7e477348253d62c78374ee6209987666ca814849796e5270766782aa916493d06c4a514ca6d8df25f3c99f3e3 SHA512 92a5ffc8149bc22f23658460ea4d9536a8962299a10999f9c6600cd345c91d198e8456670077828f559ab46d75a39882cf85dc0ba1cd4531b94dcbae48a64e7e
+DIST thunderbird-60.3.2-tr.xpi 598010 BLAKE2B ffe9a39807e64f7912688947a8be838dc5472977ac21871c972b35f611bd6f5534a29c92f0adb36b0412b15b080207e36bb4963debae25e3eaf59eb588548bc6 SHA512 d0e741df32a005ebb80b28d63dd99dd8f2f6e7b53fa46b4942457f470b486b84bf3a72aaf2ba68dd4a91a607592bb937e27ac8a68f4fc3246dc60fd2af12a652
+DIST thunderbird-60.3.2-uk.xpi 684153 BLAKE2B 6af808242260834e29a6fbb5c1819aaf9e5fd82539f5ce86e55b2d69833f40b65e07cba9d8b758d27514f179b43d26fa1ce9b4ef9328654009d89bd500152882 SHA512 daf2176dc5630793d49ec795f87e55b3829a43598525973855567d86d2935b23495f54a03e1acb0cb1599d3d99fb96dc22a8b94d915307af672f185d1ccb3fd5
+DIST thunderbird-60.3.2-vi.xpi 638421 BLAKE2B b83157e22eb4a9b13d4dc02d5f2d0f962c79bd20c49a6c706c8a1e5401b8ff840607b69f16a391262acd81c7a40220b7559b7257cb1b53bfd0e84c9f39ac76e0 SHA512 40284c06c6a267f63d69048d79889ace94d40a4060c4230fdf2615a02c9ccf970942078ac0e228540972b212096e866c7f9751bec499d7d0bd862d2538d2e61d
+DIST thunderbird-60.3.2-zh-CN.xpi 622466 BLAKE2B d5bac2b7c2205caf85d7f724888de82339f265e4d091a79033e692b1ff99abafa62b46c1745f16af91b7fc7ec6f2185f8cde6456b03219659424f20883747a37 SHA512 7e45baa021b3f3d557dbc746110e59ff29beceb918268bfbdb3e32c8d837b583fca90b20e1c01f00a0fbba94437c4d986281765cef81f1b8b034ac70bb4fbb3d
+DIST thunderbird-60.3.2-zh-TW.xpi 626189 BLAKE2B 2e99020a44c645550b4ab0c7a4a4bf54fd636c02141098b7133496bc00c8173511d048043c196673ef1aa07c540bfeeaacb19f63ef35eff9273ca6d4a94ace91 SHA512 9c2a0977b476005a0377788fd8cc2d1121aee74c9b474ee38cd22ee9495fb848c4ccd0f063f8523bf58edfe6ee5f5c1240c11d1f2a59e654d538db9295cc7b8e
+DIST thunderbird-60.3.2.source.tar.xz 286027944 BLAKE2B 3c5faf7248c10149f547d0053dd37ef4a8531f478bb111f6b547c30687edac6fb7acf6da8bb3b0b54d107d5de07fb3d9e44e1a8fec3751d0daa47391f5bc7143 SHA512 c755e0570f62987f5c454a0f976eb8b3d8013909e7ae5650b84cca88f9998db6b7873caeee1776ca3ce6bcd68c393ea193c8a7e7e05d9b939ac99f042cec068f
diff --git a/mail-client/thunderbird/files/sqlite3-fts3-tokenizer.patch b/mail-client/thunderbird/files/sqlite3-fts3-tokenizer.patch
new file mode 100644
index 0000000..4e45b13
--- /dev/null
+++ b/mail-client/thunderbird/files/sqlite3-fts3-tokenizer.patch
@@ -0,0 +1,87 @@
+# HG changeset patch
+# User Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
+# Date 1543532530 0
+# Thu Nov 29 23:02:10 2018 +0000
+# Node ID 1c480085935783bd1d240860bb44f410e2d36322
+# Parent 6453222232be364fb8ce3fd29b6cbcd480e5f2e3
+Bug 1270882 - Enable support for SQLite custom FTS3 tokenizers at run time.
+
+Do not require that SQLite has been built with support for custom FTS3
+tokenizers enabled by default. This allows to use system SQLite in
+distributions which provide SQLite configured in this way (which is SQLite
+upstream's default configuration due to security concerns).
+
+Disable no longer needed setting of SQLITE_ENABLE_FTS3_TOKENIZER macro in
+bundled SQLite build.
+
+--- a/db/sqlite3/src/moz.build Thu Nov 29 19:08:28 2018 +0000
++++ b/db/sqlite3/src/moz.build Thu Nov 29 23:02:10 2018 +0000
+@@ -58,10 +58,6 @@
+ if CONFIG['MOZ_WIDGET_TOOLKIT'] == 'uikit':
+ DEFINES['SQLITE_ENABLE_LOCKING_STYLE'] = 0
+
+-# Thunderbird needs the 2-argument version of fts3_tokenizer()
+-if CONFIG['MOZ_THUNDERBIRD'] or CONFIG['MOZ_SUITE']:
+- DEFINES['SQLITE_ENABLE_FTS3_TOKENIZER'] = 1
+-
+ # Turn on SQLite's assertions in debug builds.
+ if CONFIG['MOZ_DEBUG']:
+ DEFINES['SQLITE_DEBUG'] = 1
+--- a/storage/mozStorageConnection.cpp Thu Nov 29 19:08:28 2018 +0000
++++ b/storage/mozStorageConnection.cpp Thu Nov 29 23:02:10 2018 +0000
+@@ -679,6 +679,10 @@
+ return convertResultCode(srv);
+ }
+
++#ifdef INIT_SQLITE_FTS3_TOKENIZER
++ ::sqlite3_db_config(mDBConn, SQLITE_DBCONFIG_ENABLE_FTS3_TOKENIZER, 1, 0);
++#endif
++
+ // Do not set mDatabaseFile or mFileURL here since this is a "memory"
+ // database.
+
+@@ -715,6 +719,10 @@
+ return convertResultCode(srv);
+ }
+
++#ifdef INIT_SQLITE_FTS3_TOKENIZER
++ ::sqlite3_db_config(mDBConn, SQLITE_DBCONFIG_ENABLE_FTS3_TOKENIZER, 1, 0);
++#endif
++
+ // Do not set mFileURL here since this is database does not have an associated
+ // URL.
+ mDatabaseFile = aDatabaseFile;
+@@ -746,6 +754,10 @@
+ return convertResultCode(srv);
+ }
+
++#ifdef INIT_SQLITE_FTS3_TOKENIZER
++ ::sqlite3_db_config(mDBConn, SQLITE_DBCONFIG_ENABLE_FTS3_TOKENIZER, 1, 0);
++#endif
++
+ // Set both mDatabaseFile and mFileURL here.
+ mFileURL = aFileURL;
+ mDatabaseFile = databaseFile;
+--- a/storage/moz.build 2018-11-14 10:14:14.000000000 -0500
++++ b/storage/moz.build 2018-11-29 17:05:42.106058951 -0500
+@@ -101,16 +101,20 @@
+ #
+ # Note: On Windows our sqlite build assumes we use jemalloc. If you disable
+ # MOZ_STORAGE_MEMORY on Windows, you will also need to change the "ifdef
+ # MOZ_MEMORY" options in db/sqlite3/src/Makefile.in.
+ if CONFIG['MOZ_MEMORY'] and not CONFIG['MOZ_SYSTEM_SQLITE']:
+ if CONFIG['OS_TARGET'] != 'Android':
+ DEFINES['MOZ_STORAGE_MEMORY'] = True
+
++# Thunderbird needs the 2-argument version of fts3_tokenizer()
++if CONFIG['MOZ_THUNDERBIRD'] or CONFIG['MOZ_SUITE']:
++ DEFINES['INIT_SQLITE_FTS3_TOKENIZER'] = 1
++
+ # This is the default value. If we ever change it when compiling sqlite, we
+ # will need to change it here as well.
+ DEFINES['SQLITE_MAX_LIKE_PATTERN_LENGTH'] = 50000
+
+ # See Sqlite moz.build for reasoning about TEMP_STORE.
+ # For system sqlite we cannot use the compile time option, so we use a pragma.
+ if CONFIG['MOZ_SYSTEM_SQLITE'] and (CONFIG['OS_TARGET'] == 'Android'
+ or CONFIG['HAVE_64BIT_BUILD']):
diff --git a/mail-client/thunderbird/thunderbird-60.3.2.ebuild b/mail-client/thunderbird/thunderbird-60.3.2.ebuild
new file mode 100644
index 0000000..315316c
--- /dev/null
+++ b/mail-client/thunderbird/thunderbird-60.3.2.ebuild
@@ -0,0 +1,562 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+VIRTUALX_REQUIRED="pgo"
+WANT_AUTOCONF="2.1"
+MOZ_ESR=""
+MOZ_LIGHTNING_VER="6.2.2.1"
+MOZ_LIGHTNING_GDATA_VER="4.4.1"
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+PYTHON_REQ_USE='ncurses,sqlite,ssl,threads(+)'
+
+# This list can be updated using scripts/get_langs.sh from the mozilla overlay
+MOZ_LANGS=(ar ast be bg br ca cs cy da de el en en-GB en-US es-AR
+es-ES et eu fi fr fy-NL ga-IE gd gl he hr hsb hu hy-AM id is it ja ko lt
+nb-NO nl nn-NO pl pt-BR pt-PT rm ro ru si sk sl sq sr sv-SE tr
+uk vi zh-CN zh-TW )
+
+# Convert the ebuild version to the upstream mozilla version, used by mozlinguas
+MOZ_PV="${PV/_beta/b}"
+
+# Patches
+PATCHTB="thunderbird-60.0-patches-0"
+PATCHFF="firefox-60.0-patches-04"
+
+MOZ_HTTP_URI="https://archive.mozilla.org/pub/${PN}/releases"
+
+# ESR releases have slightly version numbers
+if [[ ${MOZ_ESR} == 1 ]]; then
+ MOZ_PV="${MOZ_PV}esr"
+fi
+MOZ_P="${PN}-${MOZ_PV}"
+
+inherit check-reqs flag-o-matic toolchain-funcs gnome2-utils llvm mozcoreconf-v6 pax-utils xdg-utils autotools mozlinguas-v2
+
+DESCRIPTION="Thunderbird Mail Client"
+HOMEPAGE="https://www.mozilla.org/thunderbird"
+
+KEYWORDS="~amd64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+SLOT="0"
+LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
+IUSE="bindist clang dbus debug hardened jack lightning neon pulseaudio
+ selinux startup-notification system-harfbuzz system-icu system-jpeg
+ system-libevent system-libvpx system-sqlite wifi"
+RESTRICT="!bindist? ( bindist )"
+
+PATCH_URIS=( https://dev.gentoo.org/~{anarchy,axs,polynomial-c,whissi}/mozilla/patchsets/{${PATCHTB},${PATCHFF}}.tar.xz )
+SRC_URI="${SRC_URI}
+ ${MOZ_HTTP_URI}/${MOZ_PV}/source/${MOZ_P}.source.tar.xz
+ https://dev.gentoo.org/~axs/distfiles/lightning-${MOZ_LIGHTNING_VER}.tar.xz
+ lightning? ( https://dev.gentoo.org/~axs/distfiles/gdata-provider-${MOZ_LIGHTNING_GDATA_VER}.tar.xz )
+ ${PATCH_URIS[@]}"
+
+ASM_DEPEND=">=dev-lang/yasm-1.1"
+
+CDEPEND="
+ >=dev-libs/nss-3.36.4
+ >=dev-libs/nspr-4.19
+ >=app-text/hunspell-1.5.4:=
+ dev-libs/atk
+ dev-libs/expat
+ >=x11-libs/cairo-1.10[X]
+ >=x11-libs/gtk+-2.18:2
+ >=x11-libs/gtk+-3.4.0:3
+ x11-libs/gdk-pixbuf
+ >=x11-libs/pango-1.22.0
+ >=media-libs/libpng-1.6.34:0=[apng]
+ >=media-libs/mesa-10.2:*
+ media-libs/fontconfig
+ >=media-libs/freetype-2.4.10
+ kernel_linux? ( !pulseaudio? ( media-libs/alsa-lib ) )
+ virtual/freedesktop-icon-theme
+ dbus? (
+ >=sys-apps/dbus-0.60
+ >=dev-libs/dbus-glib-0.72
+ )
+ startup-notification? ( >=x11-libs/startup-notification-0.8 )
+ >=x11-libs/pixman-0.19.2
+ >=dev-libs/glib-2.26:2
+ >=sys-libs/zlib-1.2.3
+ >=virtual/libffi-3.0.10:=
+ virtual/ffmpeg
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrender
+ x11-libs/libXt
+ system-harfbuzz? (
+ >=media-libs/harfbuzz-1.4.2:0=
+ >=media-gfx/graphite2-1.3.9-r1
+ )
+ system-icu? ( >=dev-libs/icu-59.1:= )
+ system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1:= )
+ system-libevent? ( >=dev-libs/libevent-2.0:0= )
+ system-libvpx? ( >=media-libs/libvpx-1.5.0:0=[postproc] )
+ system-sqlite? ( >=dev-db/sqlite-3.23.1:3[secure-delete,debug=] )
+ wifi? (
+ kernel_linux? (
+ >=sys-apps/dbus-0.60
+ >=dev-libs/dbus-glib-0.72
+ net-misc/networkmanager
+ )
+ )
+ jack? ( virtual/jack )"
+
+DEPEND="${CDEPEND}
+ app-arch/zip
+ app-arch/unzip
+ >=sys-devel/binutils-2.30
+ sys-apps/findutils
+ >=sys-devel/llvm-4.0.1
+ >=sys-devel/clang-4.0.1
+ clang? (
+ >=sys-devel/llvm-4.0.1[gold]
+ >=sys-devel/lld-4.0.1
+ )
+ pulseaudio? ( media-sound/pulseaudio )
+ elibc_glibc? (
+ virtual/cargo
+ virtual/rust
+ )
+ elibc_musl? (
+ virtual/cargo
+ virtual/rust
+ )
+ amd64? (
+ ${ASM_DEPEND}
+ virtual/opengl
+ )
+ x86? (
+ ${ASM_DEPEND}
+ virtual/opengl
+ )"
+
+RDEPEND="${CDEPEND}
+ pulseaudio? (
+ || (
+ media-sound/pulseaudio
+ >=media-sound/apulse-0.1.9
+ )
+ )
+ selinux? (
+ sec-policy/selinux-mozilla
+ sec-policy/selinux-thunderbird
+ )"
+
+REQUIRED_USE="wifi? ( dbus )"
+
+S="${WORKDIR}/${MOZ_P%b[0-9]*}"
+
+BUILD_OBJ_DIR="${S}/tbird"
+
+pkg_setup() {
+ moz_pkgsetup
+
+ # Avoid PGO profiling problems due to enviroment leakage
+ # These should *always* be cleaned up anyway
+ unset DBUS_SESSION_BUS_ADDRESS \
+ DISPLAY \
+ ORBIT_SOCKETDIR \
+ SESSION_MANAGER \
+ XDG_SESSION_COOKIE \
+ XAUTHORITY
+
+ if ! use bindist ; then
+ elog "You are enabling official branding. You may not redistribute this build"
+ elog "to any users on your network or the internet. Doing so puts yourself into"
+ elog "a legal problem with Mozilla Foundation"
+ elog "You can disable it by emerging ${PN} _with_ the bindist USE-flag"
+ elog
+ fi
+
+ addpredict /proc/self/oom_score_adj
+
+ llvm_pkg_setup
+}
+
+pkg_pretend() {
+ # Ensure we have enough disk space to compile
+ CHECKREQS_DISK_BUILD="4G"
+ check-reqs_pkg_setup
+}
+
+src_unpack() {
+ unpack ${A}
+
+ # Unpack language packs
+ mozlinguas_src_unpack
+}
+
+src_prepare() {
+ # Apply our patchset from firefox to thunderbird as well
+ rm -f "${WORKDIR}"/firefox/2007_fix_nvidia_latest.patch \
+ "${WORKDIR}"/firefox/2005_ffmpeg4.patch \
+ "${WORKDIR}"/firefox/2012_update-cc-to-honor-CC.patch \
+ || die
+ eapply "${WORKDIR}/firefox"
+
+ eapply "${FILESDIR}"/sqlite3-fts3-tokenizer.patch
+
+ # Ensure that are plugins dir is enabled as default
+ sed -i -e "s:/usr/lib/mozilla/plugins:/usr/lib/nsbrowser/plugins:" \
+ "${S}"/xpcom/io/nsAppFileLocationProvider.cpp || die "sed failed to replace plugin path for 32bit!"
+ sed -i -e "s:/usr/lib64/mozilla/plugins:/usr/lib64/nsbrowser/plugins:" \
+ "${S}"/xpcom/io/nsAppFileLocationProvider.cpp || die "sed failed to replace plugin path for 64bit!"
+
+ # Don't error out when there's no files to be removed:
+ sed 's@\(xargs rm\)$@\1 -f@' \
+ -i "${S}"/toolkit/mozapps/installer/packager.mk || die
+
+ # Don't exit with error when some libs are missing which we have in
+ # system.
+ sed '/^MOZ_PKG_FATAL_WARNINGS/s@= 1@= 0@' \
+ -i "${S}"/comm/mail/installer/Makefile.in || die
+
+ # Apply our Thunderbird patchset
+ pushd "${S}"/comm &>/dev/null || die
+ eapply "${WORKDIR}"/thunderbird
+
+ # NOT TRIGGERED starting with 60.3, as script just maps ${PV} without any actual
+ # check on lightning version or changes:
+ #
+ # Confirm the version of lightning being grabbed for langpacks is the same
+ # as that used in thunderbird
+ #local THIS_MOZ_LIGHTNING_VER=$(${PYTHON} calendar/lightning/build/makeversion.py ${PV})
+ #if [[ ${MOZ_LIGHTNING_VER} != ${THIS_MOZ_LIGHTNING_VER} ]]; then
+ # eqawarn "The version of lightning used for localization differs from the version"
+ # eqawarn "in thunderbird. Please update MOZ_LIGHTNING_VER in the ebuild from ${MOZ_LIGHTNING_VER}"
+ # eqawarn "to ${THIS_MOZ_LIGHTNING_VER}"
+ #fi
+
+ popd &>/dev/null || die
+
+ # Allow user to apply any additional patches without modifing ebuild
+ eapply_user
+
+ # Autotools configure is now called old-configure.in
+ # This works because there is still a configure.in that happens to be for the
+ # shell wrapper configure script
+ eautoreconf old-configure.in
+
+ # Must run autoconf in js/src
+ cd "${S}"/js/src || die
+ eautoconf old-configure.in
+}
+
+src_configure() {
+ # Add information about TERM to output (build.log) to aid debugging
+ # blessings problems
+ if [[ -n "${TERM}" ]] ; then
+ einfo "TERM is set to: \"${TERM}\""
+ else
+ einfo "TERM is unset."
+ fi
+
+ if use clang && ! tc-is-clang ; then
+ # Force clang
+ einfo "Enforcing the use of clang due to USE=clang ..."
+ CC=${CHOST}-clang
+ CXX=${CHOST}-clang++
+ strip-unsupported-flags
+ elif ! use clang && ! tc-is-gcc ; then
+ # Force gcc
+ einfo "Enforcing the use of gcc due to USE=-clang ..."
+ CC=${CHOST}-gcc
+ CXX=${CHOST}-g++
+ strip-unsupported-flags
+ fi
+
+ ####################################
+ #
+ # mozconfig, CFLAGS and CXXFLAGS setup
+ #
+ ####################################
+
+ mozconfig_init
+ # common config components
+ mozconfig_annotate 'system_libs' \
+ --with-system-zlib \
+ --with-system-bz2
+
+ # Must pass release in order to properly select linker
+ mozconfig_annotate 'Enable by Gentoo' --enable-release
+
+ # Avoid auto-magic on linker
+ if use clang ; then
+ # This is upstream's default
+ mozconfig_annotate "forcing ld=lld due to USE=clang" --enable-linker=lld
+ elif tc-ld-is-gold ; then
+ mozconfig_annotate "linker is set to gold" --enable-linker=gold
+ else
+ mozconfig_annotate "linker is set to bfd" --enable-linker=bfd
+ fi
+
+ # It doesn't compile on alpha without this LDFLAGS
+ use alpha && append-ldflags "-Wl,--no-relax"
+
+ # Add full relro support for hardened
+ if use hardened; then
+ append-ldflags "-Wl,-z,relro,-z,now"
+ mozconfig_use_enable hardened hardening
+ fi
+
+ # Modifications to better support ARM, bug 553364
+ if use neon ; then
+ mozconfig_annotate '' --with-fpu=neon
+
+ if ! tc-is-clang ; then
+ # thumb options aren't supported when using clang, bug 666966
+ mozconfig_annotate '' --with-thumb=yes
+ mozconfig_annotate '' --with-thumb-interwork=no
+ fi
+ fi
+ if [[ ${CHOST} == armv*h* ]] ; then
+ mozconfig_annotate '' --with-float-abi=hard
+ if ! use system-libvpx ; then
+ sed -i -e "s|softfp|hard|" \
+ "${S}"/media/libvpx/moz.build
+ fi
+ fi
+
+ mozconfig_use_enable !bindist official-branding
+ # Enable position independent executables
+ mozconfig_annotate 'enabled by Gentoo' --enable-pie
+
+ mozconfig_use_enable debug
+ mozconfig_use_enable debug tests
+ if ! use debug ; then
+ mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
+ else
+ mozconfig_annotate 'enabled by Gentoo' --enable-debug-symbols
+ fi
+ # These are enabled by default in all mozilla applications
+ mozconfig_annotate '' --with-system-nspr --with-nspr-prefix="${SYSROOT}${EPREFIX}"/usr
+ mozconfig_annotate '' --with-system-nss --with-nss-prefix="${SYSROOT}${EPREFIX}"/usr
+ mozconfig_annotate '' --x-includes="${SYSROOT}${EPREFIX}"/usr/include \
+ --x-libraries="${SYSROOT}${EPREFIX}"/usr/$(get_libdir)
+ mozconfig_annotate '' --prefix="${EPREFIX}"/usr
+ mozconfig_annotate '' --libdir="${EPREFIX}"/usr/$(get_libdir)
+ mozconfig_annotate 'Gentoo default' --enable-system-hunspell
+ mozconfig_annotate '' --disable-crashreporter
+ mozconfig_annotate 'Gentoo default' --with-system-png
+ mozconfig_annotate '' --enable-system-ffi
+ mozconfig_annotate '' --disable-gconf
+ mozconfig_annotate '' --with-intl-api
+ mozconfig_annotate '' --enable-system-pixman
+ # Instead of the standard --build= and --host=, mozilla uses --host instead
+ # of --build, and --target intstead of --host.
+ # Note, mozilla also has --build but it does not do what you think it does.
+ # Set both --target and --host as mozilla uses python to guess values otherwise
+ mozconfig_annotate '' --target="${CHOST}"
+ mozconfig_annotate '' --host="${CBUILD:-${CHOST}}"
+ if use system-libevent; then
+ mozconfig_annotate '' --with-system-libevent="${SYSROOT}${EPREFIX}"/usr
+ fi
+
+ # skia has no support for big-endian platforms
+ if [[ $(tc-endian) == "big" ]]; then
+ mozconfig_annotate 'big endian target' --disable-skia
+ else
+ mozconfig_annotate '' --enable-skia
+ fi
+
+ # use the gtk3 toolkit (the only one supported at this point)
+ mozconfig_annotate '' --enable-default-toolkit=cairo-gtk3
+
+ mozconfig_use_enable startup-notification
+ mozconfig_use_enable system-sqlite
+ mozconfig_use_with system-jpeg
+ mozconfig_use_with system-icu
+ mozconfig_use_with system-libvpx
+ mozconfig_use_with system-harfbuzz
+ mozconfig_use_with system-harfbuzz system-graphite2
+ mozconfig_use_enable pulseaudio
+ # force the deprecated alsa sound code if pulseaudio is disabled
+ if use kernel_linux && ! use pulseaudio ; then
+ mozconfig_annotate '-pulseaudio' --enable-alsa
+ fi
+
+ mozconfig_use_enable dbus
+
+ mozconfig_use_enable wifi necko-wifi
+
+ # enable JACK, bug 600002
+ mozconfig_use_enable jack
+
+ # Other tb-specific settings
+ mozconfig_annotate '' --with-user-appdir=.thunderbird
+ mozconfig_annotate '' --enable-ldap
+ mozconfig_annotate '' --enable-calendar
+
+ # Disable built-in ccache support to avoid sandbox violation, #665420
+ # Use FEATURES=ccache instead!
+ mozconfig_annotate '' --without-ccache
+ sed -i -e 's/ccache_stats = None/return None/' \
+ python/mozbuild/mozbuild/controller/building.py || \
+ die "Failed to disable ccache stats call"
+
+ # Stylo is only broken on x86 builds
+ use x86 && mozconfig_annotate 'Upstream bug 1341234' --disable-stylo
+
+ # Stylo is horribly broken on arm, renders GUI unusable
+ use arm && mozconfig_annotate 'breaks UI on arm' --disable-stylo
+
+ if use clang ; then
+ # libprldap60.so: terminate called after throwing an instance of 'std::runtime_error', bug 667186
+ mozconfig_annotate 'elf-hack is broken when using clang' --disable-elf-hack
+ elif use arm ; then
+ mozconfig_annotate 'elf-hack is broken on arm' --disable-elf-hack
+ fi
+
+ # Use an objdir to keep things organized.
+ echo "mk_add_options MOZ_OBJDIR=${BUILD_OBJ_DIR}" >> "${S}"/.mozconfig
+ echo "mk_add_options XARGS=/usr/bin/xargs" >> "${S}"/.mozconfig
+
+ mozlinguas_mozconfig
+
+ # Finalize and report settings
+ mozconfig_final
+
+ ####################################
+ #
+ # Configure and build
+ #
+ ####################################
+
+ # Disable no-print-directory
+ MAKEOPTS=${MAKEOPTS/--no-print-directory/}
+
+ if [[ $(gcc-major-version) -lt 4 ]]; then
+ append-cxxflags -fno-stack-protector
+ fi
+
+ # workaround for funky/broken upstream configure...
+ SHELL="${SHELL:-${EPREFIX}/bin/bash}" MOZ_NOSPAM=1 \
+ ./mach configure || die
+}
+
+src_compile() {
+ MOZ_MAKE_FLAGS="${MAKEOPTS}" SHELL="${SHELL:-${EPREFIX}/bin/bash}" MOZ_NOSPAM=1 \
+ ./mach build --verbose || die
+}
+
+src_install() {
+ declare emid
+ cd "${BUILD_OBJ_DIR}" || die
+
+ # Pax mark xpcshell for hardened support, only used for startupcache creation.
+ pax-mark m "${BUILD_OBJ_DIR}"/dist/bin/xpcshell
+
+ # Copy our preference before omnijar is created.
+ cp "${FILESDIR}"/thunderbird-gentoo-default-prefs.js-2 \
+ "${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" \
+ || die
+
+ # set dictionary path, to use system hunspell
+ echo "pref(\"spellchecker.dictionary_path\", \"${EPREFIX}/usr/share/myspell\");" \
+ >>"${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
+
+ # force the graphite pref if system-harfbuzz is enabled, since the pref cant disable it
+ if use system-harfbuzz ; then
+ echo "sticky_pref(\"gfx.font_rendering.graphite.enabled\",true);" \
+ >>"${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
+ fi
+
+ # force cairo as the canvas renderer on platforms without skia support
+ if [[ $(tc-endian) == "big" ]] ; then
+ echo "sticky_pref(\"gfx.canvas.azure.backends\",\"cairo\");" \
+ >>"${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
+ echo "sticky_pref(\"gfx.content.azure.backends\",\"cairo\");" \
+ >>"${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
+ fi
+
+ # dev-db/sqlite does not have FTS3_TOKENIZER support.
+ # gloda needs it to function, and bad crashes happen when its enabled and doesn't work
+ #if use system-sqlite ; then
+ # echo "sticky_pref(\"mailnews.database.global.indexer.enabled\", false);" \
+ # >>"${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
+ #fi
+
+ cd "${S}" || die
+ MOZ_MAKE_FLAGS="${MAKEOPTS}" SHELL="${SHELL:-${EPREFIX}/bin/bash}" MOZ_NOSPAM=1 \
+ DESTDIR="${D}" ./mach install || die
+
+ # Install language packs
+ MOZ_INSTALL_L10N_XPIFILE="1" mozlinguas_src_install
+
+ local size sizes icon_path icon
+ if ! use bindist; then
+ icon_path="${S}/comm/mail/branding/thunderbird"
+ icon="${PN}-icon"
+
+ domenu "${FILESDIR}"/icon/${PN}.desktop
+ else
+ icon_path="${S}/comm/mail/branding/nightly"
+ icon="${PN}-icon-unbranded"
+
+ newmenu "${FILESDIR}"/icon/${PN}-unbranded.desktop \
+ ${PN}.desktop
+
+ sed -i -e "s:Mozilla\ Thunderbird:EarlyBird:g" \
+ "${ED}"/usr/share/applications/${PN}.desktop
+ fi
+
+ # Install a 48x48 icon into /usr/share/pixmaps for legacy DEs
+ newicon "${icon_path}"/default48.png "${icon}".png
+ # Install icons for menu entry
+ sizes="16 22 24 32 48 256"
+ for size in ${sizes}; do
+ newicon -s ${size} "${icon_path}/default${size}.png" "${icon}.png"
+ done
+
+ local emid
+ # stage extra locales for lightning and install over existing
+ emid='{e2fda1a4-762b-4020-b5ad-a41df1933103}'
+ rm -f "${ED}"/${MOZILLA_FIVE_HOME}/distribution/extensions/${emid}.xpi || die
+ mozlinguas_xpistage_langpacks "${BUILD_OBJ_DIR}"/dist/bin/distribution/extensions/${emid} \
+ "${WORKDIR}"/lightning-${MOZ_LIGHTNING_VER} lightning calendar
+
+ mkdir -p "${T}/${emid}" || die
+ cp -RLp -t "${T}/${emid}" "${BUILD_OBJ_DIR}"/dist/bin/distribution/extensions/${emid}/* || die
+ insinto ${MOZILLA_FIVE_HOME}/distribution/extensions
+ doins -r "${T}/${emid}"
+
+ if use lightning; then
+ # move lightning out of distribution/extensions and into extensions for app-global install
+ mv "${ED}"/${MOZILLA_FIVE_HOME}/{distribution,}/extensions/${emid} || die
+
+ # stage extra locales for gdata-provider and install app-global
+ mozlinguas_xpistage_langpacks "${BUILD_OBJ_DIR}"/dist/xpi-stage/gdata-provider \
+ "${WORKDIR}"/gdata-provider-${MOZ_LIGHTNING_GDATA_VER}
+ emid='{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}'
+ mkdir -p "${T}/${emid}" || die
+ cp -RLp -t "${T}/${emid}" "${BUILD_OBJ_DIR}"/dist/xpi-stage/gdata-provider/* || die
+ insinto ${MOZILLA_FIVE_HOME}/extensions
+ doins -r "${T}/${emid}"
+ fi
+
+ # thunderbird and thunderbird-bin are identical
+ rm "${ED%/}"${MOZILLA_FIVE_HOME}/thunderbird-bin || die
+ dosym thunderbird ${MOZILLA_FIVE_HOME}/thunderbird-bin
+
+ # Required in order to use plugins and even run thunderbird on hardened.
+ pax-mark pm "${ED%/}"${MOZILLA_FIVE_HOME}/{thunderbird,plugin-container}
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}